W(1)

BEZEICHNUNG
w - anzeigen, welche Benutzer angemeldet sind und was sie machen.

ÜBERSICHT
w [Optionen] [Benutzer]

BESCHREIBUNG
w zeigt Informationen über die gerade angemeldeten Benutzer und ihre Prozesse an. Die Kopfzeile enthält in dieser Reihenfolge die aktuelle Zeit, die Laufzeit des Systems, wie viele Benutzer gerade angemeldet sind und die durchschnittliche Systemlast der letzten 1, 5 und 15 Minuten.

Die folgenden Daten werden für jeden Benutzer angezeigt: Der Anmeldename, der TTY-Name, der ferne Rechner, die Anmeldezeit, die Leerlaufzeit, JCPU, PCPU und die Befehlszeile des laufenden Prozesses.

Die JCPU-Zeit ist die Zeit, die von allen Prozessen genutzt wurde, die zu dem jeweiligen Terminal gehören. Sie enthält keine abgeschlossenen Hintergrund-Aufträge, jedoch die derzeit laufenden Hintergrund-Aufträge.

Die PCPU-Zeit ist die Zeit, die vom derzeit laufenden Prozess bisher genutzt wurde und im Feld »what« benannt ist.

BEFEHLSZEILENOPTIONEN

-h, --no-header
    gibt keine Kopfzeile aus.

-u, --no-current
    ignoriert den Benutzernamen, während der aktuelle Prozess und die CPU-Zeiten ermittelt werden. Probieren Sie die Option aus, indem Sie zunächst su, danach w und w -u eingeben.

-s, --short
    verwendet das Kurzformat. Die Anmeldezeit, die JCPU- und die PCPU-Zeit werden nicht ausgegeben.

-f, --from
    schaltet die Anzeige des from-Feldes (ferner Rechnername) ein oder aus. Standardmäßig wird das from-Feld nicht angezeigt. Allerdings könnte Ihr Systemadministrator oder Ihr Distributor eine Version kompiliert haben, in der das from-Feld standardmäßig angezeigt wird.

--help
    zeigt einen Hilfetext an und beendet das Programm.

-i, --ip-addr
    zeigt die IP-Adresse anstelle des Rechnernamens im Feld from an.

-p, --pids
    Display pid of the login process/the "what" process in the "what" field.

-V, --version
    Versionsinformationen anzeigen.

-o, --old-style
    aktiviert die Ausgabe im alten Stil. Für Leerlaufzeiten unter einer Minute werden Leerräume ausgegeben.

Benutzer
    zeigt Informationen nur für den angegebenen Benutzer an.

UMGEBUNGSVARIABLEN

PROCPS_USERLEN
    setzt die vorgegebene Breite der USER-Spalte außer Kraft. Standardmäßig 8.

PROCPS_FROMLEN
    setzt die vorgegebene Breite der From-Spalte außer Kraft. Standardmäßig 16.

DATEIEN

/var/run/utmp
    Informationen darüber, wer aktuell angemeldet ist

/proc
    Prozessinformation

SIEHE AUCH
free(1), ps(1), top(1), uptime(1), utmp(5), who(1)

AUTOREN
w wurde von Charles Blake fast vollständig neu geschrieben, basierend auf der Version von Larry Greenfield (greenfie@gauss.rutgers.edu) und Michael K. Johnson (johnsonm@redhat.com)

FEHLER MELDEN
Bitte schicken Sie Fehlermeldungen (auf Englisch) an procps@freelists.org